{
    "class": "Workflow",
    "label": "A workflow that aligns a fasta file and provides statistics on the SAM file",
    "doc": "A workflow that aligns a fasta file and provides statistics on the SAM file",
    "inputs": [
        {
            "type": "File",
            "id": "#main/input_sam"
        }
    ],
    "requirements": [
        {
            "class": "SubworkflowFeatureRequirement"
        }
    ],
    "steps": [
        {
            "run": {
                "class": "CommandLineTool",
                "id": "#metrics.cwl/metrics_tool",
                "label": "metrics tool",
                "cwlVersion": "v1.2",
                "doc": "A tool that provides statistics for a SAM file",
                "$namespaces": {
                    "dct": "http://purl.org/dc/terms/",
                    "foaf": "http://xmlns.com/foaf/0.1/"
                },
                "requirements": [
                    {
                        "dockerPull": "quay.io/ldcabansay/samtools:latest",
                        "class": "DockerRequirement"
                    },
                    {
                        "coresMin": 1,
                        "ramMin": 1024,
                        "outdirMin": 100000,
                        "class": "ResourceRequirement"
                    }
                ],
                "inputs": [
                    {
                        "type": "File",
                        "inputBinding": {
                            "position": 1
                        },
                        "doc": "SAM file to analyze.",
                        "id": "#metrics.cwl/metrics_tool/input_sam"
                    }
                ],
                "stdout": "$(inputs.input_sam.nameroot).metrics",
                "outputs": [
                    {
                        "type": "File",
                        "doc": "Metrics on the input SAM file.",
                        "id": "#metrics.cwl/metrics_tool/metrics",
                        "outputBinding": {
                            "glob": "$(inputs.input_sam.nameroot).metrics"
                        }
                    }
                ],
                "baseCommand": [
                    "samtools",
                    "flagstat"
                ],
                "http://purl.org/dc/terms/creator": {
                    "@id": "https://orcid.org/0000-0001-5173-4627",
                    "http://xmlns.com/foaf/0.1/name": "Walter Shands",
                    "http://xmlns.com/foaf/0.1/mbox": "jshands@ucsc.edu"
                }
            },
            "in": [
                {
                    "source": "#main/input_sam",
                    "id": "#main/flagstat/input_sam"
                }
            ],
            "out": [
                "#main/flagstat/metrics"
            ],
            "id": "#main/flagstat"
        }
    ],
    "id": "#main",
    "http://purl.org/dc/terms/creator": {
        "@id": "https://orcid.org/0000-0001-5173-4627",
        "http://xmlns.com/foaf/0.1/name": "Walter Shands",
        "http://xmlns.com/foaf/0.1/mbox": "jshands@ucsc.edu"
    },
    "outputs": [
        {
            "type": "File",
            "outputSource": "#main/flagstat/metrics",
            "id": "#main/output_metrics"
        }
    ],
    "cwlVersion": "v1.2",
    "$namespaces": {
        "dct": "http://purl.org/dc/terms/",
        "foaf": "http://xmlns.com/foaf/0.1/"
    }
}
